//	Zinc Application Framework - D_DSP.CPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_dsp.hpp>

ZafError ZafDisplay::InitializeOSBitmap(ZafBitmapStruct &bitmap)
{
	bitmap.handle = ZAF_NULLH(OSBitmapID);
	bitmap.mask = ZAF_NULLH(OSBitmapID);
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSBitmap(ZafBitmapStruct &bitmap, const ZafBitmapStruct &copy)
{
	bitmap.handle = copy.handle;
	bitmap.mask = copy.mask;
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::InitializeOSIcon(ZafIconStruct &icon)
{
	icon.handle = ZAF_NULLH(OSIconID);
	icon.mask = ZAF_NULLH(OSIconID);
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSIcon(ZafIconStruct &icon, const ZafIconStruct &copy)
{
	icon.handle = copy.handle;
	icon.mask = copy.mask;
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::InitializeOSMouse(ZafMouseStruct &mouse)
{
	mouse.handle = ZAF_NULLH(OSMouseID);
	mouse.mask = ZAF_NULLH(OSMouseID);
	return (ZAF_ERROR_NONE);
}

ZafError ZafDisplay::ResetOSMouse(ZafMouseStruct &mouse, const ZafMouseStruct &copy)
{
	mouse.handle = copy.handle;
	mouse.mask = copy.mask;
	return (ZAF_ERROR_NONE);
}


